org.apache.jmeter.functions

## Class FileRowColContainer

- java.lang.Object
- - org.apache.jmeter.functions.FileRowColContainer

-     public class FileRowColContainer
      extends java.lang.Object

  File data container for CSV (and similar delimited) files Data is accessible via row and column number

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELIMITER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileRowColContainer(java.lang.String file)`
    `FileRowColContainer(java.lang.String file, java.lang.String delim)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumn(int row, int col)` Get the string for the column from the current row
    `java.lang.String` | `getFileName()`
    `int` | `getSize()`
    `int` | `nextRow()` Returns the next row to the caller, and updates it, allowing for wrap round

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELIMITER

          public static final java.lang.String DELIMITER

  - ### Constructor Detail

    - #### FileRowColContainer

          public FileRowColContainer(java.lang.String file,
                                     java.lang.String delim)
                              throws java.io.IOException,
                                     java.io.FileNotFoundException

      Throws:
        `java.io.IOException`
        `java.io.FileNotFoundException`

    - #### FileRowColContainer

          public FileRowColContainer(java.lang.String file)
                              throws java.io.IOException,
                                     java.io.FileNotFoundException

      Throws:
        `java.io.IOException`
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### getColumn

          public java.lang.String getColumn(int row,
                                            int col)
                                     throws java.lang.IndexOutOfBoundsException

      Get the string for the column from the current row
      Parameters:
        `row` - row number (from 0)
        `col` - column number (from 0)
      Returns:
        the string (empty if out of bounds)
      Throws:
        `java.lang.IndexOutOfBoundsException` - if the column number is out of bounds

    - #### nextRow

          public int nextRow()

      Returns the next row to the caller, and updates it, allowing for wrap round
      Returns:
        the first free (unread) row

    - #### getFileName

          public java.lang.String getFileName()

      Returns:
        the file name for this class

    - #### getSize

          public int getSize()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.